package eu.pozimski.alarmclockconfigurator.http

import kotlinx.serialization.EncodeDefault
import kotlinx.serialization.ExperimentalSerializationApi
import kotlinx.serialization.Serializable


@Serializable
data class WakeupTime @OptIn(ExperimentalSerializationApi::class) constructor(
    @EncodeDefault(EncodeDefault.Mode.NEVER) val hour: Int? = null,
    @EncodeDefault(EncodeDefault.Mode.NEVER) val minute: Int? = null
)